--##FILE1
--##Inspects word position #1 for keywords; bins hits by habit; removes hits from source table 


create table epis select * from NSet where description regexp '^[ \t]*[[:graph:]]*(sub|semi|hemi)*-?epi(f|ph)(i|y)';
alter table epis add index (recordID);
delete from NSet where recordID in (select recordID from epis);





create table lian select * from NSet where description regexp '^[[:punct:]0-9]*lian|[[:graph:]]*(cipo|bejuc)';
alter table lian add index (recordID);
delete from NSet where recordID in (select recordID from lian);



---create table ferns select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*((tree)?-?fern([[:>:]]|s)|helech)';
---alter table ferns add index (recordID);
---delete from NSet where recordID in (select recordID from ferns);



create table vins select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*((sub|grape|semi|bush)*-?vine|parra[[:>:]])';
alter table vins add index (recordID);
delete from NSet where recordID in (select recordID from vins);


create table grass  select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}([[:punct:]0-9]*(grama|pasto|capim|graminoid|bamb(u|o))|[[:graph:]]*(grass|cesped|tussock|cespitosa|graminea)((es)|s)?[[:>:]])' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*bambucea';

--missing semicolons discovered 6-07; semicolons added 6-07
alter table grass add index (recordID);
delete from NSet where recordID in (select recordID from grass);




create table erva select * from NSet where description regexp '^[[:punct:]]*erva';
alter table erva add index (recordID);
delete from NSet where recordID in (select recordID from erva);


create table moss select * from NSet where description regexp '^[[:graph:]]*(moss|musgo)';

alter table moss add index (recordID);


delete from NSet where recordID in (select recordID from moss);


create table hydrophyte select * from NSet where description regexp '^[[:<:]]h(y|i)dro(f|p)';
alter table hydrophyte add index (recordID);
delete from NSet where recordID in (select recordID from hydrophyte);



create table herb select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:graph:]]*herb(a|e|s)?c?' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:graph:]]*herba(r|z)'  union select  * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}([[:<:]](hierb|yerba|kraut|forb)|[[:punct:]0-9]*(staude|geo(f|p)|liver|hepatic))';
alter table herb add index (recordID);
delete from NSet where recordID in (select recordID from herb);





--create table parasit select * from NSet where description  regexp '^[ \t]*[[:punct:]]*((s|h)?emi)*-?parasit';
  create table parasit select * from NSet where description  regexp '^[ \t]*[[:punct:]]*((s|h)?emi)*-?parasit' and not description regexp '^[ \t]*[[:punct:]]*((s|h)?emi)*-?parasitic (herb|shrub|strang|vine|lian)';
alter table parasit add index (recordID);
delete from NSet where recordID in (select recordID from parasit);


create table suffrut select * from NSet where description regexp '^[ \t]*[[:punct:]]*suf+ruc?t(e|i)';
alter table suffrut add index (recordID);
delete from NSet where recordID in (select recordID from suffrut);


create table climber select * from NSet where description regexp '^[ \t]*([[:graph:]]*-?(creep|climb)er|grimpante|plante rampante|[[:graph:]]*-?(trepad(o|ei)r|endredadera))' and not description regexp '^arbusto-(trepador|endredadera)|trepadores';
alter table climber add index (recordID);
delete from NSet where recordID in (select recordID from climber);



create table tree select * from NSet where description regexp '^[ \t]*[[:graph:]]*(palm(i|e|a)?(e|i)?(r|t)?|baum(ch|e|[[:>:]])|boom)' and not description regexp  '^[ \t]*[[:graph:]]*palmar' UNION select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*((citrus|semi|sub)*-?tree(let)?|arbre[[:>:]])' UNION select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*arbol' and not description regexp '^[ \t]*[[:punct:]0-9]*arbol(e|a)d(o|a)' UNION select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*[[:<:]]arvore[[:>:]]' UNION select * from NSet where description regexp '^[ \t]*[[:punct:]0-9]*(sapling|retono)';
alter table tree add index (recordID);
delete from NSet where recordID in (select recordID from tree);





create table shrub select * from NSet where description regexp '^[ \t]*([[:graph:]]*(shrub|arbrisseau|frijolillo|frutex)|(citrus|ranken|halb)*-?strauch|arvoreta|subfrutic)' or (description regexp '^[ \t]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*' and not description regexp '^[ \t]*(arbustal|starbust)');
alter table shrub add index (recordID);
delete from NSet where recordID in (select recordID from shrub);

create table arborgroup select * from NSet where description regexp '[[:<:]]arbore?(s|a|o)?[[:>:]]' ;
alter table arborgroup add index (recordID);
delete from NSet where recordID in (select recordID from arborgroup);

