--##FILE3
--##Inspects word position #3 for keywords; bins hits by habit; removes hits from source table; removes "bad" hits from bins.  "Bad" = keyword is part of a prepositional predicate phrase 



--EPI
create table epi3 select * from NSet where description regexp '^[ \t]*[[:graph:]]+[ \t]+[[:graph:]]+[ \t]+[[:graph:]]*(sub|semi|hemi)*-?epi(f|ph)(i|y)' ;
alter table epi3 add index (recordID);
delete from NSet where recordID in (select recordID from epi3);
--prep removal
insert into epi2prep select * from epi3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
delete from epi3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
 insert into epi2prep select * from epi3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
delete from  epi3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';



--LIAN
create table lian3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}([[:punct:]]*lian|[[:graph:]]*cipo|[[:graph:]]*bejuc)';
alter table lian3 add index (recordID);
delete from NSet where recordID in (select recordID from lian3);
--prep removal
create table lian3prep select * from lian3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,1}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+';
alter table lian3prep add index (recordID);
 delete from  lian3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,1}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+';
insert into lian3prep select * from lian3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,1}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+';
delete from lian3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,1}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+';


--FERN
/*
---create table fern3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*((tree)?-?fern([[:>:]]|s)|helech)'  and description not regexp '^[ \t]*([[:graph:]]+[ \t]+){2}kiefern'; 
---alter table fern3 add index (recordID);

delete from NSet where recordID in (select recordID from fern3);
insert into fern3 select * from tree2  where description regexp '^[ \t]*[[:graph:]]+[ \t]+[[:punct:]]*tree fern';
delete from tree2 where recordID in (select recordID from fern3);
*/

--prep removal
/*
insert into fern2prep select * from fern3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:graph:]]+[ \t]+){1}helech';
 delete from fern3 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:graph:]]+[ \t]+){1}helech';
 create table fern3prep select * from tree2prep where description regexp '^[ \t]*([[:graph:]]+[ \t]+)[[:punct:]]*(citrus|semi|sub)*-?tree(let)?[ \t]+fern';
alter table fern3prep add index (recordID);
delete from tree2prep where recordID in (select recordID from fern3prep);
*/




--VINE
create table vine3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*((sub|grape|semi|bush)*-?vine|parra[[:>:]])';
alter table vine3 add index (recordID);
delete from NSet where recordID in (select recordID from vine3);


--prep removal
create table vine3prep select * from vine3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+)';
delete from vine3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+)';
insert into vine3prep select *  from vine3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
delete  from vine3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';

--grass

create table grass3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}([[:punct:]0-9]*(grama|pasto|capim|graminoid|bamb(u|o))|[[:graph:]]*(grass|cesped|tussock|cespitosa|graminea)((es)|s)?[[:>:]])' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*bambucea';
alter table grass3 add index (recordID);
delete from NSet where recordID in (select recordID from grass3);




--prep removal
create table grass3prep select * from grass3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
delete  from grass3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
insert into grass3prep select * from grass3  where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
delete from grass3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
insert into grass3prep select * from grass3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+';
delete from grass3 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+';




--erva
insert into erva2 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*erva([[:>:]]|[^l])';

alter table erva2 add index (recordID);
delete from NSet where recordID in (select recordID from erva2);



--hydro
insert into hydro2 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:<:]]h(y|i)dro(f|p)';
alter table hydro2 add index (recordID);
delete from NSet where recordID in (select recordID from hydro2);



--HERB

create table herb3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:graph:]]*herb(a|e|s)?c?' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:graph:]]*herba(r|z)'  union select  * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}([[:<:]](hierb|yerba|kraut|forb)|[[:punct:]0-9]*(staude|geo(f|p)|liver|hepatic))';
alter table herb3 add index (recordID);
delete from NSet where recordID in (select recordID from herb3);
--prep removal
insert into herb2prep select * from herb3 where  description regexp '^[ \t]*([[:graph:]]*[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+';
delete  from herb3 where  description regexp '^[ \t]*([[:graph:]]*[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+';
insert into herb2prep select * from herb3 where  description regexp '^[ \t]*([[:punct:]0-9]*[ \t]+){0}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+[[:alpha:]\'\*\-]+[ \t]+' and not description regexp 'herbosis';
delete from herb3  where  description regexp '^[ \t]*([[:punct:]0-9]*[ \t]+){0}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+[[:alpha:]\'\*\-]+[ \t]+' and not description regexp 'herbosis';





--PARASIT
--insert into parasit2 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*((s|h)?emi)*-?parasit';

insert into parasit2 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*((s|h)?emi)*-?parasit' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*((s|h)?emi)*-?parasitic (herb|shrub|strang|vine|lian)';
alter table parasit2  add index (recordID);
delete from NSet where recordID in (select recordID from parasit2);



--SUFF
create table suff3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*suf+ruc?t(e|i)'; alter table suff3 add index (recordID);
alter table suff3 add index (recordID);
delete from NSet where recordID in (select recordID from suff3);

--CLIMBER
create table climber3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}([[:graph:]]*-?(creep|climb)er|grimpante|plante rampante|[[:graph:]]*-?(trepad(o|ei)r|endredadera))' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:graph:]]*arbusto-(trepador|endredadera)|trepadores'; alter table climber3 add index (recordID);
alter table climber3 add index (recordID);
delete from NSet where recordID in (select recordID from climber3);




--TREE



create table tree3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:graph:]]*(palm(i|e|a)?(e|i)?(r|t)?|baum(ch|e|[[:>:]])|boom)' and not description regexp  '^[ \t]*([[:graph:]]+[ \t]+){2}[[:graph:]]*palmar' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*((citrus|semi|sub)*-?tree(let)?|arbre[[:>:]])' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*arbol' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*arbol(e|a)d(o|a)' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*([[:<:]]arvore[[:>:]]|sapling|retono)';

alter table tree3 add index (recordID);
delete from NSet where recordID in (select recordID from tree3);







--prep removal
create table tree3prep select * from tree3 where  description regexp '^[ \t]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?|(climb|creep|cling)ing)[ \t]+[[:graph:]]+[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a)?t?)';
alter table tree3prep add index (recordID);
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?|climbing)[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a)?t?)';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|climbing|with(out)?)[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a)?t?)';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|(climb|creep|cling|cover|surround)ing|with(out)?)[ \t]+[[:graph:]]+[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a)?t?)';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+[[:punct:]]*[1-9]*arbol';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+[[:graph:]+[ \t]+[[:punct:]]*[1-9]*arbol';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where description regexp '^[ \t]*[[:graph:]]+[ \t}+(i(n|m)|seit|auf|zur?|mit|unter|neben|zwischen|nah|bei|der|a(n|u)|seit|entfernt|von|aus|um)[ \t]+[[:punct:]]*[[:graph:]]*(baum)';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where description regexp '^[ \t]*[[:graph:]]+[ \t]+(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+[[:punct:]]*[[:<:]]arvore[[:>:]]';
delete from tree3 where recordID in (select recordID from tree3prep);
insert into tree3prep select * from tree3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|climbing|with(out)?)[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a)?t?)';
delete from tree3 where recordID in (select recordID from tree3prep);
 insert into tree3prep select * from tree3  where  description regexp '^[ \t]*[[:punct:]0-9]*(a|sur|sous|par?-?(desso?us|derriere)?|aux?|des?|en(tre)?|portee|sommet|pres|le(s|z)?|devant|sans|avec|chez|dedans|hors|pour|proche)[ \t]+[[:graph:]]+[ \t]+[[:punct:]]*palmie';
delete from tree3 where recordID in (select recordID from tree3prep);




--SHRUB
create table shrub3 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}([[:graph:]]*(shrub|arbrisseau|frijolillo|frutex)|(citrus|ranken|halb)*-?strauch|arvoreta|subfrutic)'  or    (description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(arbustal|starbust)');
alter table shrub3 add index (recordID);
delete from NSet where recordID in (select recordID from shrub3);



--prep removal
create table shrub3prep select * from shrub3 where  description regexp '^[ \t]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|amid|(climb|creep|cling)ing)[ \t]+[[:alpha:]"\'-]+[ \t]+[[:graph:]]*shrub';
 alter table shrub3prep add index (recordID);
delete from shrub3  where recordID in (select recordID from shrub3prep);
insert into shrub3prep select * from shrub3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|alongside|amid|covering)[ \t]+[[:graph:]]*shrub';
delete from shrub3  where recordID in (select recordID from shrub3prep);
insert into shrub3prep select * from shrub3 where  description regexp '^[ \t]*(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+[[:alpha:]"\'-]+[ \t]+([[:graph:]]*(frijolillo|frutex|subfrutic)|[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*)';
delete from shrub3  where recordID in (select recordID from shrub3prep);
insert into shrub3prep select * from shrub3 where  description regexp '^[ \t]*[[:graph:]]+[ \t]+(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]*(frijolillo|frutex|subfrutic)|[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*)';
delete from shrub3  where recordID in (select recordID from shrub3prep);




































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































